petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSTrajectoryRegister

Adds a way of storing trajectories to the TS package

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSTrajectoryRegister(const char sname[], PetscErrorCode (*function)(TSTrajectory))

Not Collective

### Input Parameters

| name | - The name of a new user-defined creation routine
| create_func | - The creation routine itself

### Notes

TSTrajectoryRegister() may be called multiple times to add several user-defined tses.

### Keywords

TS, register

### See Also

TSTrajectoryRegisterAll(), TSTrajectoryRegisterDestroy()

Level:advanced
Location:src/ts/interfacetraj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages